package com.ruoyi.system.mapper;

import com.ruoyi.common.core.domain.entity.LabelInfo;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public interface LabelInfoMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public LabelInfo selectLabelInfoById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param labelInfo 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<LabelInfo> selectLabelInfoList(LabelInfo labelInfo);

    /**
     * 新增【请填写功能名称】
     * 
     * @param labelInfo 【请填写功能名称】
     * @return 结果
     */
    public int insertLabelInfo(LabelInfo labelInfo);

    /**
     * 修改【请填写功能名称】
     * 
     * @param labelInfo 【请填写功能名称】
     * @return 结果
     */
    public int updateLabelInfo(LabelInfo labelInfo);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteLabelInfoById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabelInfoByIds(Long[] ids);
}
